Subject: (FRNETMIB) FRS MIB: How can frPVCConnectLowIfIndex be ZERO?

From: "Rehbehn, Kenneth" <[email-masked]>
Date: Tue, 21 Sep 1999 12:10:21 -0400

I received the following suggestion:  
 
> Could it be possible that this was meant as a precursor to the ATM/FR
> interworking stuff?
>

That is what I was wondering.  However, the object is in the cross-connect
table that is REPLACED by the cross-connect table of the appropriate IWF MIB
when some as-yet-to-be-added object in the connection row indicates a
cross-connection w/ an ATM endpoint.

I would like to eliminate any reference to a zero value here as I add the
new IWF cross-connection object.  If there is any objection, speak now or
forever hold your peace!

Ken
 
> 
> Rehbehn, Kenneth wrote:
> 
> > I need some institutional memory from the creators of RFC 1604.
> >
> > In the IESG review of draft-ietf-frnetmib-frs-06.txt, a 
> question came up
> > about the frPVCConnectLowIfIndex.  The value zero suggested by the
> > DESCRIPTION should force us to the SYNTAX 
> InterfaceIndexOrZero.  I can't
> > explain why this value would EVER be zero!!!  How could the 
> situation arise
> > where "this logical port is not a Frame Relay UNI/NNI logical port"?
> >
> >  frPVCConnectLowIfIndex OBJECT-TYPE
> >      SYNTAX  IfIndex
> >      MAX-ACCESS  not-accessible
> >      STATUS  current
> >      DESCRIPTION
> >              "The value of this object is equal to MIB II's
> >              ifIndex value of the UNI/NNI logical port for this
> >              PVC segment.  The term low implies that this PVC
> >              segment end-point has the numerically lower
> >              ifIndex value than the connected/associated PVC
> >              segment end-point.  If the value is equal to zero,
> >              then this logical port is not a Frame Relay
> >              UNI/NNI logical port."
> >      ::= { frPVCConnectEntry 2 }
> >
> > Any insight is greatly appreciated.
> >
> > Regards,
> > Ken
> >
> > ---------------------------------------------------------------
> > Ken Rehbehn                              Phone: +1-301-296-2325
> > Visual Networks                            Fax: +1-301-296-2302
> > 2092 Gaither Rd              EMail: [email-masked]
> > Rockville, MD  20850              http://www.visualnetworks.com
> >
> > X-Info: To unsubscribe, email [email-masked]' with
> > X-Info: 'unsubscribe frnetmib' in the body of the message.
> 
> 
> 
X-Info: To unsubscribe, email [email-masked]' with
X-Info: 'unsubscribe frnetmib' in the body of the message.